DSELECT(8)

NAME
dselect - console Debian package handling frontend

SYNOPSIS
dselect [--admindir <directory>] [--help] [--version] [--licence | --license] [--expert] [--debug <file> | -D <file>] [<action>]

DESCRIPTION
dselect is the primary user interface for installing, removing and managing Debian GNU/Linux packages. It is an front-end to dpkg(8). Normally dselect is invoked without parameters, but some commandline parameters are still available.

The usage of dselect is pretty self-explanatory, and an internal help-system is included, which describes the keystrokes and some general concepts. Read the help.

  ACTIONS

Access
    Chooses an access `method' to use to find package repository. By default, there exist several methods such as "floppy", "harddisk", "cdrom", but other packages you install can provide additional methods, e.g. "apt" or "multi_cd" etc.

Update
    Updates list of packages available to dpkg/dselect with data from the chosen repository Packages file(s).

Select
    Selects individual packages to install.

Install
    Installs selected packages.

Config
    Configures any previously not configured packages.

Remove
    Removes or purges deselected packages.

Quit
    Exit dselect (successfully).

OPTIONS

--admindir <directory>
    Changes the directory where the dpkg `status', `available' and similar files are located. This defaults to /var/lib/dpkg and normally there shouldn't be any need to change it.

--debug <file> | -D<file>
    Turn on debugging. Debugging information is sent to <file>.

--expert
    Turns on expert mode, i.e. doesn't display possibly annoying help messages.

--help
    Print a brief help text and exit successfully.

--licence | --license
    Displays the dselect copyright and license information and exits successfully.

--version
    Print version information and exit successfully.

BUGS
The dselect package selection interface is confusing or even alarming to a new user.

dselect doesn't handle Recommends: field very well, and doesn't understand Replaces: at all.

There is no easy way to automatically download and install packages via anonymous FTP with default access methods (APT does this).

SEE ALSO
dpkg(8), deb(5).

AUTHORS
dselect was written by Ian Jackson (ijackson@gnu.ai.mit.edu). Full list of contributors may be found in `dselect --license'.
This manual page was written by Juho Vuori <javuori@cc.helsinki.fi> and updated by Josip Rodin.